# $Revision: 1.24 $, $Date: 2004/04/06 23:28:15 $
#
# TODO:
# waiting for "stable" tarball
#
Summary:	A GUI advanced Linux download manager
Summary(pl):	Zaawansowany program do cigania plikw z interfejsem graficznym
Name:		prozgui
Version:	2.0.5
%define	bver	beta
Release:	0.%{bver}.1
License:	GPL
Group:		Applications/Networking
Source0:	http://prozilla.genesys.ro/downloads/prozgui/tarballs/%{name}-%{version}%{bver}.tar.bz2
# Source0-md5:	b501ecce2844d411ba39be761027ac4e
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-po.patch
Patch1:		%{name}-opt.patch
Patch2:		%{name}-include.patch
URL:		http://prozilla.genesys.ro/?p=prozgui
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	fltk-devel >= 1.1.0
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the GUI version of Prozilla. It uses libprozilla and the the
GUI is created and designed with The Fast Light Tool Kit (fltk).

ProZilla is a download accellerator program written for Linux to speed
up the normal file download process. It often gives speed increases of
around 200% to 300%. It supports both FTP and HTTP protocols, and the
theory behind it is very simple. The program opens multiple
connections to a server, and each of the connections downloads a part
of the file, thus defeating existing internet congestion prevention
methods which slow down a single connection based download.

%description -l pl
ProZilla jest programem typu "download accellerator" dla Linuksa
napisanym, aby przyspieszy proces cigania plikw. Czsto daje
zwikszenie prdkoci do 200-300%. Wspiera protokoy HTTP i FTP, a
jego teoretyczne dziaanie jest bardzo proste. Program otwiera wiele
pocze do serwera i kade z nich ciga tylko cz pliku. Dziki
temu moliwe jest ominicie ogranicze transferu nakadanych na
pojedyncze poczenie.

Interface zosta zaprojektowany i zbudowany w oparciu o bibliotek
FLTK.

%package devel
Summary:	Header files for prozilla library
Summary(pl):	Pliki nagwkowe biblioteki prozilli
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for prozilla library.

%description devel -l pl
Pliki nagwkowe biblioteki prozilli.

%package static
Summary:	prozilla static library
Summary(pl):	Statyczna biblioteka prozilli
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
prozilla static library.

%description static -l pl
Statyczna biblioteka prozilli.

%prep
%setup -q -n %{name}-%{version}%{bver}
%patch0 -p1
%patch1 -p1
%patch2 -p1

head -n 98 acinclude.m4 > acinclude.m4.tmp
mv -f acinclude.m4.tmp acinclude.m4
cp -f acinclude.m4 libprozilla

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
cd libprozilla
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
cd ..
%configure \
	--with-fltk-includes=%{_includedir} \
	--with-fltk-libs=%{_libdir} \
	--enable-shared
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}} \
	$RPM_BUILD_ROOT{%{_mandir}/man1,%{_includedir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

mv -f man/prozgui.1 .
mv -f libprozilla/TODO libprozilla/TODO-devel
mv -f libprozilla/README libprozilla/README-devel
mv -f libprozilla/src/{prozilla.h,netrc.h} $RPM_BUILD_ROOT%{_includedir}

mv -f libprozilla/docs/HACKING libprozilla

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS CREDITS* ChangeLog NEWS README TODO docs/FAQ
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libprozilla.so.*.*
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/*.png
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%doc libprozilla/{TODO-devel,README-devel,HACKING}
%attr(755,root,root) %{_libdir}/libprozilla.so
%{_libdir}/libprozilla.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libprozilla.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: prozgui.spec,v $
Revision 1.24  2004/04/06 23:28:15  qboosh
- updated to 2.0.5beta (for fltk 1.1.x)
- removed acinclude.m4 patch, added po,opt,include patches
- switched to vfolders

Revision 1.23  2003/10/25 13:25:42  ankry
- pl: linkowanie -> konsolidacja, shell -> powoka

Revision 1.22  2003/08/28 08:38:50  ankry
- s/An/A/

Revision 1.21  2003/05/28 13:01:24  malekith
- massive attack: source-md5

Revision 1.20  2003/05/25 06:25:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2003/01/18 22:56:17  juandon
- removed two lines with define

Revision 1.18  2002/11/25 14:17:50  ankry
- massive attack: no need for 755 for *.la

Revision 1.17  2002/10/09 13:14:45  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.16  2002/07/25 07:36:08  qboosh
- use shared library, use find_lang for locale files; release 2

Revision 1.15  2002/07/23 11:06:24  kloczek
- release 1: use new %doc.

Revision 1.14  2002/06/23 20:32:33  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.13  2002/05/21 23:14:33  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.12  2002/04/22 10:56:37  qboosh
- pl fixes, cosmetics

Revision 1.11  2002/04/20 11:43:38  djrzulf
- %files section corrected,

Revision 1.10  2002/04/20 11:26:48  kloczek
- added acinclude.m4 patch,
- added full regenerate ac/am/lt files,
- removed fltk from Requires (this rule is autohgenerated),
- spec adapterized.

Revision 1.9  2002/04/20 09:04:50  djrzulf
- humanista nie jestem :],

Revision 1.8  2002/04/20 08:57:16  djrzulf
- finished work,
- needs testing,
- STBR,

Revision 1.7  2002/04/20 06:36:01  djrzulf
- s/Icon/Source2/

Revision 1.6  2002/04/20 00:00:11  kloczek
- changed .desktop Icon file to png format.

Revision 1.5  2002/04/19 23:55:00  kloczek
- removed some files from %doc,
- some cleanups and apterize spec file,
- use more macros.

Revision 1.4  2002/04/19 23:37:04  djrzulf
- it builds now and creates working packages,
- read "TODO" on top of the spec-file,

Revision 1.3  2002/04/19 18:57:32  maryush
- fix fail build

Revision 1.2  2002/04/19 18:10:35  djrzulf
- Icon: nie rozwija %{name},

Revision 1.1  2002/04/19 17:47:37  djrzulf
- temporary save unfinished work,
- doesn't build,
